Package helma.scripting.rhino.debug

# Class HelmaDebugger

java.lang.Object
org.mozilla.javascript.tools.debugger.Dim
helma.scripting.rhino.debug.HelmaDebugger

All Implemented Interfaces:
  `EventListener`, `TreeSelectionListener`

public class HelmaDebugger extends org.mozilla.javascript.tools.debugger.Dim implements TreeSelectionListener

## Nested Class Summary

## Nested classes/interfaces inherited from class org.mozilla.javascript.tools.debugger.Dim

`org.mozilla.javascript.tools.debugger.Dim.ContextData, org.mozilla.javascript.tools.debugger.Dim.FunctionSource, org.mozilla.javascript.tools.debugger.Dim.SourceInfo, org.mozilla.javascript.tools.debugger.Dim.StackFrame`

## Field Summary

### Fields inherited from class org.mozilla.javascript.tools.debugger.Dim

`BREAK, EXIT, GO, STEP_INTO, STEP_OUT, STEP_OVER`

## Constructor Summary

Constructors
Constructor
Description
`HelmaDebugger(String title)`

## Method Summary

Modifier and Type
Method
Description
`void`
`dispose()`
`void`
`setVisible(boolean visible)`
`void`
`valueChanged(TreeSelectionEvent e)`

### Methods inherited from class org.mozilla.javascript.tools.debugger.Dim

`attachTo, clearAllBreakpoints, compileScript, contextSwitch, currentContextData, detach, eval, evalScript, functionNames, functionSourceByName, getObjectIds, getObjectProperty, go, objectToString, setBreak, setBreakOnEnter, setBreakOnExceptions, setBreakOnReturn, setGuiCallback, setReturnValue, setScopeProvider, setSourceProvider, sourceInfo, stringIsCompilableUnit`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HelmaDebugger

public HelmaDebugger(String title)

## Method Details

### valueChanged

public void valueChanged(TreeSelectionEvent e)

Specified by:
  `valueChanged` in interface `TreeSelectionListener`

### setVisible

public void setVisible(boolean visible)

### dispose

public void dispose()

Overrides:
  `dispose` in class `org.mozilla.javascript.tools.debugger.Dim`